Zorya APIZorya API
  • Go to the Portal
  • Sign Up
  • Documentation
  • API Reference
  • Tables
  • Copyright © 2026 Zorya Telecom, S.A. de C.V.
USERS & SESSIONS
    Get a signed token for a userpostGet the current active usergetList all active sessions for the current usergetRevoke a session by SessionIdpost
LOOKUP
    Consult Msisdn informationpost
TOP-UP
    Send a regular Top Up to a userpostSend a direct Top Up to a user with specified ProductpostGet Statusget
SMS
    Send a Basic SMS to a userpostGet Sms Statusget
RCS
    Send an RCS MessagepostGet RCS Statusget
MESSAGING
    Send SMS or RCS MessagepostGet Message Statusget
WHATSAPP
    MESSAGES
      Text Messagepost
    STATUS
      Get WhatsApp Statusget
    MEDIA
      Get MediaIdgetGenerate Header HandlepostUpload Media Completepost
    TEMPLATES
      List WhatsApp TemplatesgetCreate a WhatsApp TemplatepostUpdate a WhatsApp TemplatepostDelete a WhatsApp Templatedelete
      Categories
    Flows
    Usernames
WEBHOOKS
    MO
    MT
    NOTIFICATIONS
Core API
Core API

MESSAGES


Text Message

POST
https://gateway.zorya.com
/api/v1/WhatsApp/messages

Common Parameters

ParameterData TypeDescriptionRequired?
fromStringThe number from which the message is sentYes
toStringThe recipient: phone number or BSUID. See UsernamesYes
trackingMessageBooleanEnables message trackingNo

Request Parameters

ParameterData TypeDescriptionRequired?
typeStringThe type of message, must be 'text'Yes
bodyStringText body of the message. Supports URLs. Max 4096 charactersYes
previewUrlBooleanAllows preview of links in the message bodyNo
Message preview
Message preview
POST/api/v1/WhatsApp/messages
curl https://gateway.zorya.com/api/v1/WhatsApp/messages \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "from": "00000", "to": "525512345678", "content": { "type": "text", "body": "Hi! This is a WhatsApp message", "previewUrl": true } }'
Example Request Body
{ "from": "00000", "to": "525512345678", "content": { "type": "text", "body": "Hi! This is a WhatsApp message", "previewUrl": true } }
json
application/json
Example Responses
{ "success": true, "errors": null, "detailedErrors": [], "data": { "transactionId": "a0ce5d07-6286-49af-bc00-dbe21585b5de" } }
json
application/json

MESSAGINGSTATUS